package cn.com.qmth.stmms.biz.exam.service;

import java.util.List;

import cn.com.qmth.stmms.biz.exam.model.ExamPackage;
import cn.com.qmth.stmms.biz.exam.query.ExamPackageSearchQuery;

public interface ExamPackageService {

    ExamPackage save(ExamPackage examPackage);

    ExamPackage find(int examId, String code);

    List<ExamPackage> list(int examId);

    List<ExamPackage> list(int examId, boolean upload);

    ExamPackageSearchQuery findByQuery(ExamPackageSearchQuery query);

    void delete(ExamPackage examPackage);

    void deleteByExamId(int examId);

    long count(int examId);

    long count(int examId, boolean upload);

    long countByQuery(ExamPackageSearchQuery query);

}
